Bug 716062

Summary: FTBFS zziplib-0.13.59-2.fc15
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: zziplibAssignee: Matthias Saou <matthias>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: henrik, matthias, notting
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: zziplib-0.13.60-1.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-06 16:17:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2011-06-23 12:07:56 EDT
zziplib-0.13.59-2.fc15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 12:08:00 EDT
Created attachment 508673 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 12:08:01 EDT
Created attachment 508674 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 12:08:02 EDT
Created attachment 508675 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 12:08:04 EDT
Created attachment 508676 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 12:08:05 EDT
Created attachment 508677 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 12:08:07 EDT
Created attachment 508678 [details]
mock.log


mock.log for x86_64
Comment 7 Henrik Nordström 2011-09-09 15:13:33 EDT
I am hitting this in the ARMv7 hardfp bootstrap.

The failure is as follows:

echo 'Cflags: -I${includedir}' >>zzipwrap.pc
/bin/sh ../libtool --silent --tag=CC   --mode=link gcc  -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -mthumb -D_USE_MMAP -Wall -Wpointer-arith -Wsign-compare -Wmissing-declarations -Wdeclaration-after-statement -Werror-implicit-function-declaration -Wstrict-aliasing -Warray-bounds -Wstrict-prototypes --export-dynamic -release 0 -version-info 13:59 -thread-safe  -o libzzipwrap.la -rpath /usr/lib wrap.lo ../zzip/libzzip.la   
/bin/sh ../libtool --silent --tag=CC   --mode=link gcc  -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -mthumb -D_USE_MMAP -Wall -Wpointer-arith -Wsign-compare -Wmissing-declarations -Wdeclaration-after-statement -Werror-implicit-function-declaration -Wstrict-aliasing -Warray-bounds -Wstrict-prototypes --export-dynamic  -o zzipwrap zzipwrap.o libzzipwrap.la   
gcc: error: unrecognized option '--export-dynamic'

The fix is most likely simply removing the --export-dynamic flag.
Comment 8 Bill Nottingham 2012-07-06 16:17:59 EDT
Fixed at some point, closing old FTBFS.